
VIRTUAL CREDIT CARD - Bug #14377

 iOS [QR PAY] Default SOF Settings #7986 #8052

22 September 2022 11:52 AM - AMARBEER SINGH SIDHU amar.beer

Status: Closed Start date: 22 September 2022

Priority: Normal Due date:  

Assignee: AMARBEER SINGH SIDHU amar.beer % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Requirement:

1. if SOF "QR Pembayaran" toggle is ON, then "QR Lainnya" will follow SOF and toggle is ON

2. If SOF "QR Pembayaran" toggle is off, then "QR Lainnya" will not follow SOF "QR Pembayaran"

3. If SOF "QR Pembayaran" toggle is off, and set "QR Lainnya" toggle is off, then when trx QR Pay will use SOF "QR Pembayaran"

and QR Transfer will use SOF "QR Lainnya"

4. if SOF "QR Lainnya" toggle is ON, then "QR Pembayaran" will follow SOF and toggle is ON

5. if SOF CC "QR Pembayaran" and set "QR Lainnya" toggle is off, then when trx QR Pay will use SOF CC and QR Transfer will use

SOF "QR Lainnya"

From Santosh:

/v4/front/pre-login/default-account

/v4/front/default-account

-no changes on req

-resp extra field(accountNoLain) return defaultAccount for "QR Lainnya"

update-account

-no changes on resp (return accountNo on the same field, need seperated can be done)

-req added extra field (accountNoLain), to update "Qr Lainnya" return value in "accountNoLain" and empty/null on accountNo, vice

versa

-accountNoLain - represent to update Qr Lainnya

-accountNo - represent to update Qr Pay

History

#1 - 22 September 2022 05:48 PM - salim wijaya

- Status changed from New to Resolved

- Assignee changed from salim wijaya to AMARBEER SINGH SIDHU amar.beer

#2 - 27 September 2022 10:19 AM - AMARBEER SINGH SIDHU amar.beer

- Status changed from Resolved to Closed

Tested Good

#3 - 28 September 2022 02:08 PM - AMARBEER SINGH SIDHU amar.beer

- Status changed from Closed to Assigned

- Assignee changed from AMARBEER SINGH SIDHU amar.beer to salim wijaya

In Settings when customer change pembayaran default to CC...Default Toggle OFF in Lainnya

#4 - 29 September 2022 12:01 AM - salim wijaya

- Assignee changed from salim wijaya to AMARBEER SINGH SIDHU amar.beer

#5 - 29 September 2022 09:51 AM - AMARBEER SINGH SIDHU amar.beer

- Status changed from Assigned to Closed
Tested good
